# MSP::CCS::LambertConformalConic Class Reference

`#include <LambertConformalConic.h>`

Inheritance diagram for MSP::CCS::LambertConformalConic:

List of all members.

## Classes

struct | CommonParameters

## Public Member Functions

| LambertConformalConic (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double originLatitude, double falseEasting, double falseNorthing, double scaleFactor)
| LambertConformalConic (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double originLatitude, double standardParallel1, double standardParallel2, double falseEasting, double falseNorthing)
| LambertConformalConic (const LambertConformalConic &lcc1)
| ~LambertConformalConic (void)
LambertConformalConic & | operator= (const LambertConformalConic &lcc1)
MapProjection5Parameters * | get1StandardParallelParameters () const
MapProjection6Parameters * | get2StandardParallelParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 108 of file LambertConformalConic.h.

## Constructor & Destructor Documentation

LambertConformalConic::LambertConformalConic | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | originLatitude,
|  | double | falseEasting,
|  | double | falseNorthing,
|  | double | scaleFactor |
| ) |  |  |

Definition at line 133 of file LambertConformalConic.cpp.

LambertConformalConic::LambertConformalConic | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | originLatitude,
|  | double | standardParallel1,
|  | double | standardParallel2,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 232 of file LambertConformalConic.cpp.

LambertConformalConic::LambertConformalConic | ( | const LambertConformalConic & | lcc1 | ) |

Definition at line 391 of file LambertConformalConic.cpp.

LambertConformalConic::~LambertConformalConic | ( | void |  | ) |

Definition at line 415 of file LambertConformalConic.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * LambertConformalConic::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 488 of file LambertConformalConic.cpp.

MSP::CCS::GeodeticCoordinates * LambertConformalConic::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 558 of file LambertConformalConic.cpp.

MapProjection5Parameters * LambertConformalConic::get1StandardParallelParameters | ( |  | ) | const

Definition at line 449 of file LambertConformalConic.cpp.

MapProjection6Parameters * LambertConformalConic::get2StandardParallelParameters | ( |  | ) | const

Definition at line 468 of file LambertConformalConic.cpp.

LambertConformalConic & LambertConformalConic::operator= | ( | const LambertConformalConic & | lcc1 | ) |

Definition at line 420 of file LambertConformalConic.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/lambert/LambertConformalConic.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/lambert/LambertConformalConic.cpp